DROP TABLE IF EXISTS `{dbpre}about`;

CREATE TABLE `{dbpre}about` (
  `abid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `treeid` mediumint(8) unsigned DEFAULT '0',
  `catid` mediumint(8) unsigned DEFAULT '0',
  `title` varchar(255) DEFAULT NULL,
  `intro` text,
  `content` text,
  `thumbfiles` varchar(255) DEFAULT NULL,
  `uploadfiles` varchar(255) DEFAULT NULL,
  `metatitle` varchar(255) DEFAULT NULL,
  `metakeyword` varchar(500) DEFAULT NULL,
  `metadescription` varchar(500) DEFAULT NULL,
  `tplname` varchar(255) DEFAULT NULL,
  `flag` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `elite` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `tags` varchar(255) DEFAULT NULL,
  `addtime` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`abid`) USING BTREE,
  KEY `catid` (`catid`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}admin`;

CREATE TABLE `{dbpre}admin` (
  `adminid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `adminname` varchar(50) DEFAULT NULL,
  `password` varchar(50) DEFAULT NULL,
  `groupid` mediumint(8) unsigned DEFAULT '0',
  `super` tinyint(1) unsigned DEFAULT '0',
  `timeline` int(10) unsigned DEFAULT '0',
  `flag` tinyint(1) unsigned DEFAULT '0',
  `logintimeline` int(10) unsigned DEFAULT '0',
  `logintimes` int(10) unsigned DEFAULT '0',
  `loginip` varchar(50) DEFAULT NULL,
  `memo` varchar(500) DEFAULT NULL,
  `roleid` smallint(6) unsigned DEFAULT '0',
  `lastname` varchar(30) DEFAULT '',
  `mobile` varchar(30) DEFAULT '',
  `email` varchar(100) DEFAULT '',
  `qq` varchar(50) DEFAULT '',
  `weixin` varchar(50) DEFAULT '',
  `address` varchar(100) DEFAULT '',
  `syncshaddetime` int(10) unsigned DEFAULT '0',
  PRIMARY KEY (`adminid`) USING BTREE,
  KEY `groupid` (`groupid`) USING BTREE,
  KEY `roleid` (`roleid`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}area`;

CREATE TABLE `{dbpre}area` (
  `areaid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `areaname` varchar(100) DEFAULT '',
  `spread` varchar(20) DEFAULT '',
  `parentid` int(10) unsigned DEFAULT '0',
  `depth` int(10) unsigned DEFAULT '0',
  `orders` int(10) unsigned DEFAULT '0',
  `elite` tinyint(1) unsigned DEFAULT '0',
  `flag` tinyint(1) unsigned DEFAULT '0',
  `nextchilds` int(10) unsigned DEFAULT '0',
  `addtime` int(10) unsigned DEFAULT '0',
  `creatid` int(10) unsigned DEFAULT '0',
  `metatitle` varchar(255) NOT NULL DEFAULT '',
  `metakeyword` varchar(255) NOT NULL DEFAULT '',
  `metadescription` varchar(500) NOT NULL DEFAULT '',
  `pinyin` varchar(50) NOT NULL DEFAULT '',
  `letter` char(5) NOT NULL DEFAULT '',
  `intro` varchar(500) DEFAULT '',
  PRIMARY KEY (`areaid`) USING BTREE,
  KEY `areaname` (`areaname`) USING BTREE,
  KEY `parentid` (`parentid`) USING BTREE,
  KEY `flag` (`flag`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}article`;

CREATE TABLE `{dbpre}article` (
  `articleid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` mediumint(8) unsigned DEFAULT '0',
  `title` varchar(200) DEFAULT NULL,
  `subtitle` varchar(255) DEFAULT NULL,
  `author` varchar(50) DEFAULT NULL,
  `source` varchar(50) DEFAULT NULL,
  `thumbfiles` varchar(255) DEFAULT NULL,
  `uploadfiles` varchar(255) DEFAULT NULL,
  `summary` varchar(500) DEFAULT NULL,
  `content` text,
  `istop` tinyint(1) unsigned DEFAULT '0',
  `flag` tinyint(1) unsigned DEFAULT '1',
  `elite` tinyint(1) unsigned DEFAULT '0',
  `adduser` varchar(50) DEFAULT NULL,
  `addtime` int(10) unsigned DEFAULT '0',
  `updatetime` int(10) unsigned DEFAULT '0',
  `hits` int(10) unsigned DEFAULT '0',
  `metatitle` varchar(255) DEFAULT NULL,
  `metakeyword` varchar(255) DEFAULT NULL,
  `metadescription` varchar(500) DEFAULT NULL,
  `bindarid` int(10) unsigned NOT NULL DEFAULT '0',
  `tpldetail` varchar(255) DEFAULT NULL,
  `waptpldetail` varchar(255) DEFAULT NULL,
  `tags` varchar(255) DEFAULT NULL,
  `createtime` int(10) unsigned NOT NULL DEFAULT '0',
  `tpinyin` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`articleid`) USING BTREE,
  KEY `catid` (`catid`) USING BTREE,
  KEY `flag` (`flag`) USING BTREE,
  KEY `addtime` (`addtime`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `{dbpre}authgroup`;

CREATE TABLE `{dbpre}authgroup` (
  `groupid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `groupname` varchar(255) DEFAULT NULL,
  `auths` text,
  `rootid` mediumint(8) unsigned DEFAULT '0',
  `depth` mediumint(8) unsigned DEFAULT '0',
  `flag` tinyint(1) unsigned DEFAULT '0',
  `addtime` int(10) unsigned DEFAULT '0',
  `orders` smallint(2) unsigned DEFAULT '0',
  `intro` varchar(500) DEFAULT NULL,
  PRIMARY KEY (`groupid`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}category`;

CREATE TABLE `{dbpre}category` (
  `catid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `modalias` varchar(50) DEFAULT NULL,
  `catname` varchar(100) DEFAULT NULL,
  `asname` varchar(100) DEFAULT NULL,
  `treeid` mediumint(8) unsigned DEFAULT '0',
  `rootid` mediumint(8) unsigned DEFAULT '0',
  `depth` mediumint(8) unsigned DEFAULT '0',
  `childs` varchar(255) DEFAULT NULL,
  `flag` tinyint(1) unsigned DEFAULT '0',
  `orders` mediumint(8) unsigned DEFAULT '0',
  `dirname` varchar(100) DEFAULT NULL,
  `catpic` varchar(255) DEFAULT NULL,
  `intro` varchar(500) DEFAULT NULL,
  `metatitle` varchar(255) DEFAULT NULL,
  `metakeyword` varchar(255) DEFAULT NULL,
  `metadescription` varchar(255) DEFAULT NULL,
  `bindcatid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `elite` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `tpllist` varchar(255) DEFAULT NULL,
  `tpldetail` varchar(255) DEFAULT NULL,
  `waptpllist` varchar(255) DEFAULT NULL,
  `waptpldetail` varchar(255) DEFAULT NULL,
  `issystem` tinyint(1) unsigned DEFAULT '0',
  PRIMARY KEY (`catid`) USING BTREE,
  KEY `rootid` (`rootid`) USING BTREE,
  KEY `dirname` (`dirname`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `{dbpre}count_content`;

CREATE TABLE `{dbpre}count_content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_count` int(10) unsigned DEFAULT '0',
  `user_photo_count` int(10) unsigned DEFAULT '0',
  `article_count` int(10) unsigned DEFAULT '0',
  `dynamic_count` int(10) unsigned DEFAULT '0',
  `about_count` int(10) unsigned DEFAULT '0',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED;


DROP TABLE IF EXISTS `{dbpre}dynamic`;

CREATE TABLE `{dbpre}dynamic` (
  `dyid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `userid` int(10) unsigned NOT NULL DEFAULT '0',
  `dytype` varchar(20) NOT NULL DEFAULT '',
  `content` varchar(400) NOT NULL DEFAULT '',
  `photoids` varchar(100) NOT NULL DEFAULT '',
  `thumbimg` varchar(2000) NOT NULL DEFAULT '',
  `drawimg` varchar(2000) NOT NULL DEFAULT '',
  `addtime` int(10) unsigned NOT NULL DEFAULT '0',
  `flag` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `rewards` smallint(6) unsigned NOT NULL DEFAULT '0',
  `zans` smallint(6) unsigned NOT NULL DEFAULT '0',
  `comms` smallint(6) unsigned NOT NULL DEFAULT '0',
  `tyear` smallint(4) unsigned NOT NULL DEFAULT '0',
  `tmonth` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `comefrom` varchar(20) NOT NULL DEFAULT '',
  `binddyid` int(10) unsigned NOT NULL DEFAULT '0',
  `createtime` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`dyid`) USING BTREE,
  KEY `userid` (`userid`) USING BTREE,
  KEY `flag` (`flag`) USING BTREE,
  KEY `tyear` (`tyear`) USING BTREE,
  KEY `tmonth` (`tmonth`) USING BTREE,
  KEY `dytype` (`dytype`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}dynamic_comment`;

CREATE TABLE `{dbpre}dynamic_comment` (
  `commid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dyid` int(10) unsigned NOT NULL,
  `content` varchar(500) NOT NULL DEFAULT '',
  `flag` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `addtime` int(10) unsigned NOT NULL DEFAULT '0',
  `bindcommid` int(10) unsigned NOT NULL DEFAULT '0',
  `userid` int(10) unsigned NOT NULL DEFAULT '0',
  `createtime` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`commid`) USING BTREE,
  KEY `flag` (`flag`) USING BTREE,
  KEY `dyid` (`dyid`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `{dbpre}friendlink`;

CREATE TABLE `{dbpre}friendlink` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `orders` int(10) unsigned DEFAULT '0',
  `flag` tinyint(1) unsigned DEFAULT '0',
  `addtime` int(10) unsigned DEFAULT '0',
  `catid` int(10) unsigned DEFAULT '0',
  `remark` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}hometown`;

CREATE TABLE `{dbpre}hometown` (
  `areaid` mediumint(6) unsigned NOT NULL AUTO_INCREMENT,
  `rootid` mediumint(6) unsigned DEFAULT '0',
  `depth` smallint(2) unsigned DEFAULT '0',
  `areaname` varchar(50) DEFAULT '',
  `flag` tinyint(1) unsigned DEFAULT '1',
  `orders` mediumint(6) unsigned DEFAULT '0',
  `spreadname` varchar(50) DEFAULT '',
  PRIMARY KEY (`areaid`) USING BTREE,
  KEY `rootid` (`rootid`) USING BTREE,
  KEY `flag` (`flag`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}htmllabel`;

CREATE TABLE `{dbpre}htmllabel` (
  `labelid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `labelname` varchar(100) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `content` text,
  `flag` tinyint(1) unsigned DEFAULT '0',
  `timeline` int(10) unsigned DEFAULT '0',
  `issystem` tinyint(1) unsigned DEFAULT '0',
  PRIMARY KEY (`labelid`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `{dbpre}item_options`;

CREATE TABLE `{dbpre}item_options` (
  `itemname` varchar(50) NOT NULL DEFAULT '',
  `itemvalue` varchar(6000) DEFAULT '',
  `memo` varchar(50) DEFAULT '',
  `orders` int(10) unsigned DEFAULT '0',
  PRIMARY KEY (`itemname`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}log`;

CREATE TABLE `{dbpre}log` (
  `logid` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(50) DEFAULT NULL,
  `ip` varchar(50) DEFAULT NULL,
  `content` varchar(255) DEFAULT NULL,
  `logtype` tinyint(1) unsigned DEFAULT '1',
  `timeline` int(10) unsigned DEFAULT '0',
  `success` tinyint(1) unsigned DEFAULT '0',
  `control` varchar(50) DEFAULT '',
  `action` varchar(50) DEFAULT '',
  PRIMARY KEY (`logid`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}myads`;

CREATE TABLE `{dbpre}myads` (
  `aid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `zoneid` mediumint(8) unsigned DEFAULT '0',
  `catid` int(10) unsigned DEFAULT '0',
  `tagname` varchar(100) DEFAULT NULL,
  `adname` varchar(100) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `target` tinyint(1) unsigned DEFAULT '1',
  `orders` mediumint(8) unsigned DEFAULT '0',
  `timeset` tinyint(2) unsigned DEFAULT '0',
  `starttime` int(10) unsigned DEFAULT '0',
  `endtime` int(10) unsigned DEFAULT '0',
  `normbody` varchar(1000) DEFAULT NULL,
  `flag` tinyint(1) unsigned DEFAULT '0',
  `issystem` tinyint(1) unsigned DEFAULT '0',
  PRIMARY KEY (`aid`) USING BTREE,
  KEY `zoneid` (`zoneid`) USING BTREE,
  KEY `flag` (`flag`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}mynav`;

CREATE TABLE `{dbpre}mynav` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `orders` int(10) unsigned DEFAULT '0',
  `url` varchar(255) DEFAULT NULL,
  `addtime` int(10) unsigned DEFAULT '0',
  `icon` tinyint(1) unsigned DEFAULT '0',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `{dbpre}options`;

CREATE TABLE `{dbpre}options` (
  `id` mediumint(8) unsigned NOT NULL,
  `optionname` varchar(255) DEFAULT NULL,
  `optionvalue` text,
  `optiondesc` varchar(500) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}party`;

CREATE TABLE `{dbpre}party` (
  `partyid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` tinyint(2) unsigned DEFAULT '0',
  `title` varchar(255) DEFAULT '',
  `area1` smallint(6) unsigned DEFAULT '0',
  `area2` smallint(6) unsigned DEFAULT '0',
  `area3` smallint(6) unsigned DEFAULT '0',
  `area4` smallint(6) unsigned DEFAULT '0',
  `address` varchar(100) DEFAULT '',
  `traffic` varchar(200) DEFAULT '',
  `thumbimg` varchar(150) DEFAULT '',
  `drawimg` varchar(150) DEFAULT '',
  `starttime` int(10) unsigned DEFAULT '0',
  `endtime` int(10) unsigned DEFAULT '0',
  `endbmtime` int(10) unsigned DEFAULT '0',
  `explain` varchar(255) DEFAULT '',
  `limitlady` smallint(4) unsigned DEFAULT '0',
  `limitman` smallint(4) unsigned DEFAULT '0',
  `moneylady` decimal(18,2) unsigned DEFAULT '0.00',
  `moneyman` decimal(18,2) unsigned DEFAULT '0.00',
  `offlinepay` tinyint(1) unsigned DEFAULT '0',
  `contact` varchar(200) DEFAULT '',
  `content` text,
  `intro` varchar(500) DEFAULT '',
  `addtime` int(10) unsigned DEFAULT '0',
  `flag` tinyint(1) unsigned DEFAULT '0',
  `elite` tinyint(1) unsigned DEFAULT '0',
  `hits` int(10) unsigned DEFAULT '0',
  `zans` int(10) unsigned DEFAULT '0',
  `comments` int(10) unsigned DEFAULT '0',
  `bmladys` smallint(6) unsigned DEFAULT '0',
  `bmmans` smallint(6) unsigned DEFAULT '0',
  `tyear` smallint(4) unsigned DEFAULT '0',
  `tmonth` smallint(2) unsigned DEFAULT '0',
  `maplng` varchar(30) DEFAULT '',
  `maplat` varchar(30) DEFAULT '',
  `otherbms` int(10) DEFAULT '0',
  `finishtime` int(10) unsigned DEFAULT '0',
  `finishop` varchar(30) DEFAULT NULL,
  `sharetitle` varchar(200) DEFAULT '',
  `shareintro` varchar(500) DEFAULT '',
  `review` text,
  `bindpartyid` int(10) unsigned NOT NULL,
  PRIMARY KEY (`partyid`) USING BTREE,
  KEY `catid` (`catid`) USING BTREE,
  KEY `area1` (`area1`) USING BTREE,
  KEY `area2` (`area2`) USING BTREE,
  KEY `starttime` (`starttime`) USING BTREE,
  KEY `endtime` (`endtime`) USING BTREE,
  KEY `endbmtime` (`endbmtime`) USING BTREE,
  KEY `flag` (`flag`) USING BTREE,
  KEY `elite` (`elite`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

DROP TABLE IF EXISTS `{dbpre}relatedlink`;

CREATE TABLE `{dbpre}relatedlink` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `linktag` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `color` varchar(10) DEFAULT NULL,
  `target` tinyint(1) unsigned DEFAULT '1',
  `nofollow` tinyint(1) unsigned DEFAULT '0',
  `flag` tinyint(1) unsigned DEFAULT '1',
  `timeline` int(10) unsigned DEFAULT '0',
  `article` tinyint(1) unsigned DEFAULT '1',
  `about` tinyint(1) unsigned DEFAULT '1',
  `count` int(10) unsigned DEFAULT '0',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}roles`;

CREATE TABLE `{dbpre}roles` (
  `roleid` smallint(6) unsigned NOT NULL AUTO_INCREMENT,
  `rolename` varchar(50) DEFAULT '',
  `parentid` smallint(6) unsigned DEFAULT '0',
  `depth` smallint(6) unsigned DEFAULT '0',
  `orders` smallint(6) unsigned DEFAULT '0',
  `creatid` int(10) unsigned DEFAULT '0',
  `addtime` int(10) unsigned DEFAULT '0',
  `desc` varchar(255) DEFAULT '',
  `mods` varchar(2000) DEFAULT '',
  `profiles` text,
  PRIMARY KEY (`roleid`) USING BTREE,
  KEY `rolename` (`rolename`) USING BTREE,
  KEY `parentid` (`parentid`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}seo`;

CREATE TABLE `{dbpre}seo` (
  `id` smallint(2) unsigned NOT NULL AUTO_INCREMENT,
  `idmark` varchar(100) DEFAULT NULL,
  `chname` varchar(500) DEFAULT NULL,
  `title` varchar(500) DEFAULT NULL,
  `description` varchar(500) DEFAULT NULL,
  `keyword` varchar(500) DEFAULT NULL,
  `intro` varchar(500) DEFAULT NULL,
  `orders` smallint(2) unsigned DEFAULT '0',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}user`;

CREATE TABLE `{dbpre}user` (
  `userid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `binduid` int(10) unsigned NOT NULL DEFAULT '0',
  `username` varchar(100) NOT NULL DEFAULT '',
  `dist1` smallint(5) unsigned NOT NULL DEFAULT '0',
  `dist2` smallint(5) unsigned NOT NULL DEFAULT '0',
  `dist3` smallint(5) unsigned NOT NULL DEFAULT '0',
  `dist4` smallint(5) unsigned NOT NULL DEFAULT '0',
  `gender` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ageyear` smallint(4) unsigned NOT NULL DEFAULT '0',
  `agemonth` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ageday` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `lunar` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `astro` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `height` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `marry` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `education` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `spend` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `salary` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `job` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `car` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `house` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `sort` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `headimg` varchar(100) NOT NULL DEFAULT '',
  `headflag` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `headtime` int(11) unsigned NOT NULL DEFAULT '0',
  `intro` varchar(400) NOT NULL DEFAULT '',
  `introflag` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `introtime` int(10) unsigned NOT NULL DEFAULT '0',
  `home1` smallint(5) unsigned NOT NULL DEFAULT '0',
  `home2` smallint(5) unsigned NOT NULL DEFAULT '0',
  `home3` smallint(5) unsigned NOT NULL DEFAULT '0',
  `child` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `interest` varchar(30) NOT NULL DEFAULT '',
  `blood` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `personality` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `looks` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `parts` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hairstyle` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `haircolor` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `facestyle` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `bodystyle` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `national` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `allopatry` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `sin` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `health` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `debt` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `companytype` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `workstatus` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `familyback` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `smoking` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `drinking` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `faith` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `workout` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `wedtime` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `wantchild` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `parentstatus` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `parenteconomic` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `fatherwork` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `motherwork` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `parentshealthcare` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `tophome` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `elderbrother` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `eldersister` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `youngerbrother` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `youngersister` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `focus` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `wedding` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `cooking` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `housework` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `liveparent` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `rest` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `language` varchar(30) NOT NULL DEFAULT '',
  `flag` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `elite` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `addtime` int(11) unsigned NOT NULL DEFAULT '0',
  `lasttime` int(11) unsigned NOT NULL DEFAULT '0',
  `regip` varchar(20) NOT NULL DEFAULT '',
  `hits` smallint(5) unsigned NOT NULL DEFAULT '0',
  `tyear` smallint(5) unsigned NOT NULL DEFAULT '0',
  `tmonth` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `idrz` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `localrz` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `mobilerz` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `emailrz` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `qqrz` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weixinrz` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `houserz` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `carrz` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `edurz` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `marryrz` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `star` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `wxqrcode` varchar(255) NOT NULL DEFAULT '',
  `wxqrocdetime` int(10) unsigned NOT NULL DEFAULT '0',
  `snsuserqr` varchar(255) NOT NULL DEFAULT '',
  `truename` varchar(30) NOT NULL DEFAULT '',
  `mobile` varchar(20) NOT NULL DEFAULT '',
  `qq` varchar(20) NOT NULL DEFAULT '',
  `weixin` varchar(30) NOT NULL DEFAULT '',
  `email` varchar(50) NOT NULL DEFAULT '',
  `remark` varchar(255) NOT NULL DEFAULT '',
  `createtime` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`userid`) USING BTREE,
  KEY `binduid` (`binduid`),
  KEY `username` (`username`),
  KEY `dist1` (`dist1`),
  KEY `dist2` (`dist2`),
  KEY `dist3` (`dist3`),
  KEY `dist4` (`dist4`),
  KEY `gender` (`gender`),
  KEY `ageyear` (`ageyear`),
  KEY `astro` (`astro`),
  KEY `height` (`height`),
  KEY `marry` (`marry`),
  KEY `education` (`education`),
  KEY `salary` (`salary`),
  KEY `job` (`job`),
  KEY `car` (`car`),
  KEY `house` (`house`),
  KEY `headflag` (`headflag`),
  KEY `flag` (`flag`),
  KEY `elite` (`elite`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}user_cond`;

CREATE TABLE `{dbpre}user_cond` (
  `userid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `gender` tinyint(1) NOT NULL DEFAULT '0',
  `age1` tinyint(2) NOT NULL DEFAULT '0',
  `age2` tinyint(2) NOT NULL DEFAULT '0',
  `height1` tinyint(3) NOT NULL DEFAULT '0',
  `height2` tinyint(3) NOT NULL DEFAULT '0',
  `weight1` tinyint(3) NOT NULL DEFAULT '0',
  `weight2` tinyint(3) NOT NULL DEFAULT '0',
  `marry` varchar(20) NOT NULL DEFAULT '',
  `education` tinyint(2) NOT NULL DEFAULT '0',
  `eduup` tinyint(1) NOT NULL DEFAULT '0',
  `salary` tinyint(2) NOT NULL DEFAULT '0',
  `salaryup` tinyint(1) NOT NULL DEFAULT '0',
  `house` tinyint(2) NOT NULL DEFAULT '0',
  `car` tinyint(2) NOT NULL DEFAULT '0',
  `child` tinyint(2) NOT NULL DEFAULT '0',
  `avatar` tinyint(1) NOT NULL DEFAULT '0',
  `rz` tinyint(1) NOT NULL DEFAULT '0',
  `area1` mediumint(5) unsigned NOT NULL DEFAULT '0',
  `area2` mediumint(5) unsigned NOT NULL DEFAULT '0',
  `other` varchar(300) NOT NULL DEFAULT '',
  PRIMARY KEY (`userid`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}user_photo`;

CREATE TABLE `{dbpre}user_photo` (
  `photoid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `userid` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(100) NOT NULL DEFAULT '',
  `thumbimg` varchar(200) NOT NULL DEFAULT '',
  `drawimg` varchar(200) NOT NULL DEFAULT '',
  `addtime` int(10) unsigned NOT NULL DEFAULT '0',
  `flag` tinyint(1) NOT NULL DEFAULT '0',
  `elite` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `private` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `zans` smallint(6) unsigned NOT NULL DEFAULT '0',
  `rewards` smallint(6) unsigned NOT NULL DEFAULT '0',
  `tyear` smallint(4) unsigned NOT NULL DEFAULT '0',
  `tmonth` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `comefrom` varchar(20) NOT NULL DEFAULT '',
  `bindphotoid` int(10) unsigned NOT NULL DEFAULT '0',
  `createtime` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`photoid`) USING BTREE,
  KEY `userid` (`userid`) USING BTREE,
  KEY `flag` (`flag`) USING BTREE,
  KEY `private` (`private`) USING BTREE,
  KEY `tyear` (`tyear`) USING BTREE,
  KEY `tmonth` (`tmonth`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;


DROP TABLE IF EXISTS `{dbpre}zone`;

CREATE TABLE `{dbpre}zone` (
  `zoneid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `zonename` varchar(100) DEFAULT NULL,
  `idmark` varchar(100) DEFAULT NULL,
  `sort` varchar(10) DEFAULT NULL,
  `zonewidth` smallint(2) unsigned DEFAULT '0',
  `zoneheight` smallint(2) unsigned DEFAULT '0',
  `flag` tinyint(1) unsigned DEFAULT '0',
  `issystem` tinyint(1) unsigned DEFAULT '0',
  PRIMARY KEY (`zoneid`) USING BTREE,
  KEY `flag` (`flag`) USING BTREE
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;
